enum TeamOwnerRole {
  ADMIN
  PROCUREMENT
  OPERATOR
  SECTOR
  CLIENT
  VENDOR
  WORKFORCE
}

type Team @table(name: "team") {
  id: UUID! @default(expr: "uuidV4()")
  teamName: String!
  ownerId: String!
  ownerName: String!
  ownerRole: TeamOwnerRole!
  favoriteStaff: String
  blockedStaff: String
  createdDate: Timestamp @default(expr: "request.time")
  updatedDate: Timestamp @default(expr: "request.time")
  createdBy: String @default(expr: "auth.uid")
}
